Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_init_query

## Name

librdf_init_query -- Initialise the librdf_query module

## Synopsis

``void `librdf_init_query`` (librdf_world * `world`);`

## Arguments

`world`

  redland world object

## Description

Initialises and registers all compiled query modules. Must be called before using any of the query factory functions such as `librdf_get_query_factory`

<<< Previous | Home | Next >>>
RDF Query | Up | librdf_finish_query